ata_scsiop_inq_83
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsiop_inq_83 — Simulate INQUIRY VPD page 83, device identity

## Synopsis

`unsigned int ata_scsiop_inq_83 (` | struct ata_scsi_args * | args,
| u8 * | rbuf,
| unsigned int | buflen`)`;

## Arguments

`args`

  device IDENTIFY data / SCSI command of interest.

`rbuf`

  Response buffer, to which simulated SCSI cmd output is sent.

`buflen`

  Response buffer length.

## Yields two logical unit device identification designators

- vendor specific ASCII containing the ATA serial number - SAT defined “t10 vendor id based” containing ASCII vendor name (“ATA ”), model and serial numbers.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_scsiop_inq_80 | Home | ata_scsiop_inq_89